#1 - 10/08/2014 02:13 AM - Kim Premuda

| am new to Jasper Studio and this version of the plugin (5.0.0 a1), so this may not be a real problem. In the title section, | have static text set to size
40, but when the report is rendered, the static text size is approximately 11. Attached are screen shots showing the size differences. | could find
nothing in Jasper Studio that would limit the static text size, so | am guessing this is a bug. Please advise.

#2 - 10/09/2014 10:38 PM - Andrei Costache

This should simply work.
What are you exporting to? (Are there any errors in the server/client logs)

#3 - 10/10/2014 12:50 AM - Kim Premuda
The original reports were created in iReport 4.6.x, and they render as expected using plug-in 4.0.x. The .jasper report output goes to the jsbean 4.0.2.

Using JasperStudio 5.5.2, | recompiled the original jxml files. When | preview a newly compiled report in JasperStudio, it renders as expected(40-point
font size prevails as in screen shot).

In our application, the plug-in was updated to 5.0.0.a1. | copied all the newly recompiled .jasper files to the application's report folder. When the
applications renders the report in the jsbean, the 40-point font size is reduced to approximately 11 points (visual comparison based upon other font
sizes in the report). When | manually export the report in the jsbean as a PDF, the 11-point font prevails.
There is nothing in the developer/server log files related to this problem.

"This should simply work."
Agreed. Since JasperStudio renders the report correctly, | thought (perhaps, incorrectly) that this may be an issue with the plug-in. | am not aware of
anything in JasperStudio that limits the font size, so | am quite baffled as to why this happens. | am out of ideas, so if you have any suggestions,
please pass them along.
I hope | clearly explained things. If there is any other information that | can provide, never hesitate to ask.

#4 - 10/22/2014 08:50 PM - Andrei Costache

Does the plugin export work as expected font-wise?

| see that you have trouble with the JR Bean; though the problem is most probably the same, could you please try just plugin (export to view then
save to pdf and simple export to pdf).

Also, can you try using the .jrxml files (not the compiled ones)?

Regards,
Andrei

#5 - 10/22/2014 11:54 PM - Kim Premuda
Andrei,

| will be happy to try the items you suggested but wanted to let you know that | cannot get to them until next Monday at the earliest. | am out of the
office (traveling) and shall not return until that time. My apologies for the delay.

Kim
#6 - 11/05/2014 11:02 PM - Kim Premuda

Without changing any of the reports, they are all now rendering properly! The only change between the time | originally reported this issue to the
present, is that | uploaded JDK 1.7.0_71 last weekend (which also loaded JRE 1.7.0_71). The previous JRE was 1.7.0_45. | thought that the issue
may have been with the JRE, so | deleted JRE 1.7.0_71 and re-installed JRE 1.7.0_45, but the reports still render properly. | reverted back to JRE

1.7.0_71, and the reports continue to render properly. | can only surmise that the original loaded JRE was (partially) corrupted. Strange. Thanks for all
your help, Andrei.
